%% @author Marc Worrell <marc@worrell.nl>
%% @doc Mapping of iso code to country name in english
%% @copyright 2011 Marc Worrell

-module(l10n_iso2country).

-author("Marc Worrell <marc@worrell.nl>").

-export([
    iso2country/0
]).

iso2country() -> [
	{<<"af">>, <<"Afghanistan">>},
	{<<"al">>, <<"Albania">>},
	{<<"dz">>, <<"Algeria">>},
	{<<"as">>, <<"American Samoa">>},
	{<<"ad">>, <<"Andorra">>},
	{<<"ao">>, <<"Angola">>},
	{<<"ai">>, <<"Anguilla">>},
	{<<"aq">>, <<"Antarctica">>},
	{<<"ag">>, <<"Antigua and Barbuda">>},
	{<<"ar">>, <<"Argentina">>},
	{<<"am">>, <<"Armenia">>},
	{<<"aw">>, <<"Aruba">>},
	{<<"au">>, <<"Australia">>},
	{<<"at">>, <<"Austria">>},
	{<<"az">>, <<"Azerbaijan">>},
	{<<"bs">>, <<"Bahamas">>},
	{<<"bh">>, <<"Bahrain">>},
	{<<"bd">>, <<"Bangladesh">>},
	{<<"bb">>, <<"Barbados">>},
	{<<"by">>, <<"Belarus">>},
	{<<"be">>, <<"Belgium">>},
	{<<"bz">>, <<"Belize">>},
	{<<"bj">>, <<"Benin">>},
	{<<"bm">>, <<"Bermuda">>},
	{<<"bt">>, <<"Bhutan">>},
	{<<"bo">>, <<"Bolivia">>},
	{<<"ba">>, <<"Bosnia-Herzegovina">>},
	{<<"bw">>, <<"Botswana">>},
	{<<"bv">>, <<"Bouvet Island">>},
	{<<"br">>, <<"Brazil">>},
	{<<"io">>, <<"British Indian Ocean Territory">>},
	{<<"bn">>, <<"Brunei Darussalam">>},
	{<<"bg">>, <<"Bulgaria">>},
	{<<"bf">>, <<"Burkina Faso">>},
	{<<"bi">>, <<"Burundi">>},
	{<<"kh">>, <<"Cambodia">>},
	{<<"cm">>, <<"Cameroon">>},
	{<<"ca">>, <<"Canada">>},
	{<<"cv">>, <<"Cape Verde">>},
	{<<"ky">>, <<"Cayman Islands">>},
	{<<"cf">>, <<"Central African Republic">>},
	{<<"td">>, <<"Chad">>},
	{<<"cl">>, <<"Chile">>},
	{<<"cn">>, <<"China">>},
	{<<"cx">>, <<"Christmas Island">>},
	{<<"cc">>, <<"Cocos (Keeling) Islands">>},
	{<<"co">>, <<"Colombia">>},
	{<<"km">>, <<"Comoros">>},
	{<<"cg">>, <<"Congo">>},
	{<<"cd">>, <<"Congo, The Democratic Republic of the">>},
	{<<"ck">>, <<"Cook Islands">>},
	{<<"cr">>, <<"Costa Rica">>},
	{<<"hr">>, <<"Croatia">>},
	{<<"cu">>, <<"Cuba">>},
	{<<"cy">>, <<"Cyprus">>},
	{<<"cz">>, <<"Czech Republic">>},
	{<<"dk">>, <<"Denmark">>},
	{<<"dj">>, <<"Djibouti">>},
	{<<"dm">>, <<"Dominica">>},
	{<<"do">>, <<"Dominican Republic">>},
	{<<"tp">>, <<"East Timor">>},
	{<<"ec">>, <<"Ecuador">>},
	{<<"eg">>, <<"Egypt">>},
	{<<"sv">>, <<"El Salvador">>},
	{<<"gq">>, <<"Equatorial Guinea">>},
	{<<"er">>, <<"Eritrea">>},
	{<<"ee">>, <<"Estonia">>},
	{<<"et">>, <<"Ethiopia">>},
	{<<"fk">>, <<"Falkland Islands">>},
	{<<"fo">>, <<"Faroe Islands">>},
	{<<"fj">>, <<"Fiji">>},
	{<<"fi">>, <<"Finland">>},
	{<<"fr">>, <<"France">>},
	{<<"gf">>, <<"French Guyana">>},
	{<<"ga">>, <<"Gabon">>},
	{<<"gm">>, <<"Gambia">>},
	{<<"gz">>, <<"Gaza Strip Administered by Israel">>},
	{<<"ge">>, <<"Georgia">>},
	{<<"de">>, <<"Germany">>},
	{<<"gh">>, <<"Ghana">>},
	{<<"gi">>, <<"Gibraltar">>},
	{<<"gb">>, <<"Great Britain">>},
	{<<"gr">>, <<"Greece">>},
	{<<"gl">>, <<"Greenland">>},
	{<<"gd">>, <<"Grenada">>},
	{<<"gp">>, <<"Guadeloupe (French)">>},
	{<<"gu">>, <<"Guam (USA)">>},
	{<<"gt">>, <<"Guatemala">>},
	{<<"gn">>, <<"Guinea">>},
	{<<"gw">>, <<"Guinea Bissau">>},
	{<<"gy">>, <<"Guyana">>},
	{<<"ht">>, <<"Haiti">>},
	{<<"hm">>, <<"Heard and McDonald Islands">>},
	{<<"va">>, <<"Holy See (Vatican City State)">>},
	{<<"hn">>, <<"Honduras">>},
	{<<"hk">>, <<"Hong Kong">>},
	{<<"hu">>, <<"Hungary">>},
	{<<"is">>, <<"Iceland">>},
	{<<"in">>, <<"India">>},
	{<<"id">>, <<"Indonesia">>},
	{<<"ir">>, <<"Iran">>},
	{<<"iq">>, <<"Iraq">>},
	{<<"ie">>, <<"Ireland">>},
	{<<"il">>, <<"Israel">>},
	{<<"it">>, <<"Italy">>},
	{<<"ci">>, <<"Ivory Coast (Cote D'Ivoire)">>},
	{<<"jm">>, <<"Jamaica">>},
	{<<"jp">>, <<"Japan">>},
	{<<"jo">>, <<"Jordan">>},
	{<<"kz">>, <<"Kazakhstan">>},
	{<<"ke">>, <<"Kenya">>},
	{<<"ki">>, <<"Kiribati">>},
	{<<"kw">>, <<"Kuwait">>},
	{<<"kg">>, <<"Kyrgyz Republic (Kyrgyzstan)">>},
	{<<"la">>, <<"Laos">>},
	{<<"lv">>, <<"Latvia">>},
	{<<"lb">>, <<"Lebanon">>},
	{<<"ls">>, <<"Lesotho">>},
	{<<"lr">>, <<"Liberia">>},
	{<<"ly">>, <<"Libya">>},
	{<<"li">>, <<"Liechtenstein">>},
	{<<"lt">>, <<"Lithuania">>},
	{<<"lu">>, <<"Luxembourg">>},
	{<<"mo">>, <<"Macau">>},
	{<<"mk">>, <<"Macedonia">>},
	{<<"mg">>, <<"Madagascar">>},
	{<<"mw">>, <<"Malawi">>},
	{<<"my">>, <<"Malaysia">>},
	{<<"mv">>, <<"Maldives">>},
	{<<"ml">>, <<"Mali">>},
	{<<"mt">>, <<"Malta">>},
	{<<"mh">>, <<"Marshall Islands">>},
	{<<"mq">>, <<"Martinique (French)">>},
	{<<"mr">>, <<"Mauritania">>},
	{<<"mu">>, <<"Mauritius">>},
	{<<"yt">>, <<"Mayotte">>},
	{<<"mx">>, <<"Mexico">>},
	{<<"fm">>, <<"Micronesia">>},
	{<<"md">>, <<"Moldavia">>},
	{<<"mc">>, <<"Monaco">>},
	{<<"mn">>, <<"Mongolia">>},
	{<<"ms">>, <<"Montserrat">>},
	{<<"ma">>, <<"Morocco">>},
	{<<"mz">>, <<"Mozambique">>},
	{<<"mm">>, <<"Myanmar">>},
	{<<"na">>, <<"Namibia">>},
	{<<"nr">>, <<"Nauru">>},
	{<<"np">>, <<"Nepal">>},
	{<<"nl">>, <<"Netherlands">>},
	{<<"an">>, <<"Netherlands Antilles">>},
	{<<"nc">>, <<"New Caledonia (French)">>},
	{<<"nz">>, <<"New Zealand">>},
	{<<"ni">>, <<"Nicaragua">>},
	{<<"ne">>, <<"Niger">>},
	{<<"ng">>, <<"Nigeria">>},
	{<<"nu">>, <<"Niue">>},
	{<<"nf">>, <<"Norfolk Island">>},
	{<<"kp">>, <<"North Korea">>},
	{<<"mp">>, <<"Northern Mariana Islands">>},
	{<<"no">>, <<"Norway">>},
	{<<"om">>, <<"Oman">>},
	{<<"pk">>, <<"Pakistan">>},
	{<<"pw">>, <<"Palau">>},
	{<<"pa">>, <<"Panama">>},
	{<<"pg">>, <<"Papua New Guinea">>},
	{<<"py">>, <<"Paraguay">>},
	{<<"pe">>, <<"Peru">>},
	{<<"ph">>, <<"Philippines">>},
	{<<"pn">>, <<"Pitcairn Island">>},
	{<<"pl">>, <<"Poland">>},
	{<<"pf">>, <<"Polynesia (French)">>},
	{<<"pt">>, <<"Portugal">>},
	{<<"pr">>, <<"Puerto Rico">>},
	{<<"qa">>, <<"Qatar">>},
	{<<"re">>, <<"Reunion (French)">>},
	{<<"ro">>, <<"Romania">>},
	{<<"ru">>, <<"Russian Federation">>},
	{<<"rw">>, <<"Rwanda">>},
	{<<"gs">>, <<"S. Georgia and S. Sandwich Isls.">>},
	{<<"sh">>, <<"Saint Helena">>},
	{<<"kn">>, <<"Saint Kitts and Nevis Anguilla">>},
	{<<"lc">>, <<"Saint Lucia">>},
	{<<"pm">>, <<"Saint Pierre and Miquelon">>},
	{<<"st">>, <<"Saint Tome (Sao Tome) and Principe">>},
	{<<"vc">>, <<"Saint Vincent and Grenadines">>},
	{<<"ws">>, <<"Samoa">>},
	{<<"sm">>, <<"San Marino">>},
	{<<"sa">>, <<"Saudi Arabia">>},
	{<<"sn">>, <<"Senegal">>},
	{<<"sc">>, <<"Seychelles">>},
	{<<"sl">>, <<"Sierra Leone">>},
	{<<"sg">>, <<"Singapore">>},
	{<<"sk">>, <<"Slovak Republic">>},
	{<<"si">>, <<"Slovenia">>},
	{<<"sb">>, <<"Solomon Islands">>},
	{<<"so">>, <<"Somalia">>},
	{<<"za">>, <<"South Africa">>},
	{<<"kr">>, <<"South Korea">>},
	{<<"es">>, <<"Spain">>},
	{<<"lk">>, <<"Sri Lanka">>},
	{<<"sd">>, <<"Sudan">>},
	{<<"sr">>, <<"Suriname">>},
	{<<"sj">>, <<"Svalbard and Jan Mayen Islands">>},
	{<<"sz">>, <<"Swaziland">>},
	{<<"se">>, <<"Sweden">>},
	{<<"ch">>, <<"Switzerland">>},
	{<<"sy">>, <<"Syria">>},
	{<<"tj">>, <<"Tadjikistan">>},
	{<<"tw">>, <<"Taiwan">>},
	{<<"tz">>, <<"Tanzania">>},
	{<<"th">>, <<"Thailand">>},
	{<<"tg">>, <<"Togo">>},
	{<<"tk">>, <<"Tokelau">>},
	{<<"to">>, <<"Tonga">>},
	{<<"tt">>, <<"Trinidad and Tobago">>},
	{<<"tn">>, <<"Tunisia">>},
	{<<"tr">>, <<"Turkey">>},
	{<<"tm">>, <<"Turkmenistan">>},
	{<<"tc">>, <<"Turks and Caicos Islands">>},
	{<<"tv">>, <<"Tuvalu">>},
	{<<"ug">>, <<"Uganda">>},
	{<<"ua">>, <<"Ukraine">>},
	{<<"ae">>, <<"United Arab Emirates">>},
	{<<"uk">>, <<"United Kingdom">>},
	{<<"us">>, <<"United States">>},
	{<<"uy">>, <<"Uruguay">>},
	{<<"uz">>, <<"Uzbekistan">>},
	{<<"vu">>, <<"Vanuatu">>},
	{<<"ve">>, <<"Venezuela">>},
	{<<"vn">>, <<"Vietnam">>},
	{<<"vg">>, <<"Virgin Islands (British)">>},
	{<<"vi">>, <<"Virgin Islands (USA)">>},
	{<<"wf">>, <<"Wallis and Futuna Islands">>},
	{<<"we">>, <<"West Bank Administered by Israel">>},
	{<<"eh">>, <<"Western Sahara">>},
	{<<"ye">>, <<"Yemen">>},
	{<<"yu">>, <<"Serbia and Montenegro">>},
	{<<"zr">>, <<"Zaire">>},
	{<<"zm">>, <<"Zambia">>},
	{<<"zw">>, <<"Zimbabwe">>}
].
